# Электронная библиотека для специалиста в области информатики и вычислительной техники

**Выполнил:** Нахатакян Артур, ИВТ 3 курс

## Задание:

Составить актуальную электронную библиотеку (подборку книг, статей, ресурсов и т. д.) для специалиста в области информатики и вычислительной техники (09.03.01). Для выполнения задания используются электронные библиотечные ресурсы:

- Электронная библиотека РГПУ им. А. И. Герцена: [https://lib.herzen.spb.ru/](https://lib.herzen.spb.ru/)
- Библиотечные системы, доступные в РГПУ: [https://lib.herzen.spb.ru/p/newebs](https://lib.herzen.spb.ru/p/newebs)

Библиотека должна быть актуальна (включать ресурсы, не старше 5 лет), а также покрывать основные технические направления (например, операционные системы, архитектура ЭВМ, программирование, проектная деятельность, информационные технологии, веб, вычислительная техника, компьютерное моделирование, компьютерная графика, численные методы, вычислительная математика, большие данные, статистика и т.д.) с опорой на актуальную образовательную программу, на которой обучается практикант.

## Выполнение

### Аннотированный список литературы по направлению «09.03.01 Информатика и вычислительная техника»

#### Операционные системы

1. **Малахов С. В. Операционные системы и оболочки : учебное пособие для вузов (2025)**  
   **Аннотация:**  
   В учебном пособии рассмотрены такие темы, как: потоки в ОС Windows; память в ОС Windows; файловая система в ОС Windows; устройства персонального компьютера; работа с взаимоблокировками; обеспечение безопасности в ОС Windows; основы работы в командных интерпретаторах ОС. Представлены лабораторные работы с теоретическими вопросами по каждой теме. Учебное пособие предназначено для студентов (магистров), обучающихся по направлениям подготовки «Информатика и вычислительная техника», «Программная инженерия», «Управление в технических системах», и может быть полезно аспирантам направления подготовки «Информатика и вычислительная техника».  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4135118](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4135118)

2. **Гостев Иван Михайлович. Операционные системы : учебник и практикум для вузов (2025)**  
   **Аннотация:**  
   В настоящее время компьютерные науки стремительно развиваются. Новые версии операционных систем появляются каждые полтора-два года, поэтому было принято решение о включении в данный курс такого материала, который не будет устаревать. Содержание курса представляет собой некоторые наиболее общие принципы построения операционных систем, которые были разработаны более 50 лет назад и практически не изменились за прошедшее время. Курс может быть полезен как студентам, обучающимся по информационным специальностям, так и всем, кто хочет понять, как организованы операционные системы.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4273346](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4273346)

3. **Арлачи-Дюрсо Р., Арлачи-Дюрсо А. Операционные системы. Три простых элемента. (2021)**  
   **Аннотация:**  
   «Книга с кометой» (или OSTEP) — итог почти 20 лет преподавания курса «Введение в операционные системы» для студентов и магистрантов на факультете компьютерных наук Висконсинского университета. В книге рассматриваются три фундаментальные концепции операционных систем: виртуализация (процессора и памяти), конкурентность (блокировки и условные переменные), долговременное хранение (диски, RAID-массивы, файловые системы). Сочетая чтение книги с выполнением домашних заданий и работой над серьезными проектами, читатели приходят к более глубокому пониманию современных ОС.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4096268](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4096268)

4. **Бубнов С. А., Бубнов А. А., Филатов И. Ю. Операционные системы. Учебное пособие для вузов. (2024)**  
   **Аннотация:**  
   Изложены основные понятия и архитектуры операционных систем (ОС), рассмотрены такие абстракции ОС, как процессы и потоки, файлы и каталоги, виртуальные страницы, файловые системы. Приведены алгоритмы планирования процессов, дисковых запросов ввода-вывода и виртуальных страниц и страничных кадров, подробно изложены базовые технологии управления памятью и механизм виртуальной памяти. Уделено внимание наиболее часто применяемой организации памяти в современных вычислительных машинах – страничной организации. Рассмотрены вопросы безопасности ОС, введены основные термины безопасности информации, рассмотрены угрозы безопасности информации и стратегии управления доступом к ресурсам ОС.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4134319](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4134319)

#### Архитектура ЭВМ

1. **Толстобров Александр Павлович. Архитектура ЭВМ : учебник для вузов (2025)**  
   **Аннотация:**  
   Курс посвящен рассмотрению архитектурных принципов построения ЭВМ: структуры центрального процессора, системы команд, организации ввода-вывода, управления памятью, способов повышения производительности ЭВМ. Большое внимание обращается на то, каким образом особенности построения компьютера вытекают из базовых принципов, которые сейчас принято называть фоннеймановскими, а реализуемую на их основе архитектуру ЭВМ — фоннеймановской архитектурой.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4266512](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4266512)

2. **Гаврилов Михаил Викторович, Климов Владимир Александрович. Архитектура ЭВМ и системное программное обеспечение : учебник для вузов (2024)**  
   **Аннотация:**  
   В курсе приводятся основные понятия по общему составу и структуре персональных компьютеров и вычислительных систем. Рассмотрена полная архитектура ЭВМ, взаимодействие между компонентами компьютера. Подробно рассматривается программное обеспечение: операционные системы, сервисные программные пакеты и т. д. Описаны принципы работы с современными прикладными программными средствами.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4196980](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4196980)

3. **Гельбух С. С. Сети ЭВМ и телекоммуникации. Архитектура и организация: учебное пособие (2022)**  
   **Аннотация:**  
   Издание предназначено для студентов и слушателей, обучающихся по направлениям подготовки высшего образования «Информатика и вычислительная техника» (09.03.01) и программам дополнительного образования по указанному направлению. Книга содержит обобщенную информацию из большого числа стандартов и рекомендаций, лежащих в основе современных технологических решений Интернет, включая стандарты ГОСТ, рекомендации IEEE и IETF.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4089586](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4089586)

#### Программирование

1. **Никитина Т. П., Коропев Л. В. Программирование. Основы Python для инженеров : учебное пособие для вузов (2023)**  
   **Аннотация:**  
   Пособие посвящено рассмотрению базовых конструкций языка Python, в частности, сначала приведены примеры простейших программ в императивном стиле программирования и примеры решения несложных задач линейной, разветвляющейся и циклической структуры, задач с последовательностями и файлами. Далее дана реализация в виде программ на Python алгоритмов методов вычислительной математики.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4107380](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4107380)

2. **Окулов С. М. Программирование в алгоритмах. (2021)**  
   **Аннотация:**  
   Искусство программирования представлено в виде учебного курса, раскрывающего секреты наиболее популярных алгоритмов. Освещены такие вопросы, как комбинаторные алгоритмы, перебор, алгоритмы на графах, алгоритмы вычислительной геометрии.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4078687](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4078687)

3. **Янцев В. В. JavaScript. Креативное программирование : учебное пособие для вузов (2024)**  
   **Аннотация:**  
   JavaScript — это язык программирования, который предоставляет разработчику богатый набор неожиданных, неординарных и нетривиальных приемов создания кода. В книге рассказывается о самых разных приемах креативной разработки на JavaScript.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4122915](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4122915)

#### Информационные технологии

1. **Тюрин И. В. Вычислительная техника и информационные технологии : учебное пособие для вузов. (2024)**  
   **Аннотация:**  
   Представлены базовые сведения в области средств вычислительной техники и информационных технологий. Рассмотрены основы математического аппарата функционирования компьютерной техники. Приведены классификация и основные технические характеристики ЭВМ.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4119172](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4119172)

2. **Пальмов С. В. Интеллектуальные информационные системы и технологии: учебное пособие (2023)**  
   **Аннотация:**  
   Учебное пособие содержит основную информацию, касающуюся разработки и проектирования интеллектуальных информационных систем. Рассмотрены широко используемые классы методов искусственного интеллекта.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4128501](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4128501)

3. **Остроух А. В., Николаев А. Б. Интеллектуальные информационные системы и технологии: Монография (2023)**  
   **Аннотация:**  
   В монографии изложены концептуальные основы и методы представления знаний в интеллектуальных системах. Рассмотрены различные подходы, применяемые при проектировании и разработке интеллектуальных систем и технологий в транспортном комплексе.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4117832](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4117832)

#### Веб-разработка

1. **Баланов А. Н. Бэкенд-разработка веб-приложений: архитектура, проектирование и управление проектами : учебное пособие для вузов (2024)**  
   **Аннотация:**  
   Пособие станет незаменимым ресурсом для студентов, изучающих бэкенд-разработку, а также для начинающих разработчиков и профессионалов, желающих углубить свои знания в этой области.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4124912](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4124912)

2. **Государев И. Б. Введение в веб-разработку на языке JavaScript : учебное пособие для вузов (2024)**  
   **Аннотация:**  
   В учебно-методическом пособии рассматриваются фундаментальные основы и прикладные аспекты использования языка JavaScript для клиентской и серверной разработки веб-ресурсов.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4123859](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4123859)

#### Компьютерная графика

1. **Совертков П. И. Компьютерное моделирование : учебник для вузов (2023)**  
   **Аннотация:**  
   В учебнике рассматривается технология разработки проекта с помощью математического и компьютерного моделирования.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4115206](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4115206)

2. **Воронина В. В., Шишкин В. В. Компьютерная графика (2023)**  
   **Аннотация:**  
   Целью данного учебного пособия является изучение методов работы с графической информацией в пакетах Blender, Gimp, Inkscape, Unity, среде программирования Python, а также знакомство с технологией OpenGL.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4129555](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4129555)

#### Численные методы

1. **Ландовский В. В. Численные методы: учебное пособие (2023)**  
   **Аннотация:**  
   В учебном пособии рассмотрены классические численные методы решения алгебраических и дифференциальных уравнений, задач дифференцирования, интегрирования и аппроксимации функций.  
   **Ссылка на книгу:** [https://e.lanbook.com/book/404582](https://e.lanbook.com/book/404582)

2. **Ганичева А. В., Ганичев А. В. Численные методы высшей математики в MS Excel: учебное пособие (2023)**  
   **Аннотация:**  
   Пособие охватывает численные методы решения систем линейных и нелинейных уравнений, дифференцирование, интегрирование, а также методы решения дифференциальных уравнений и вопросы аппроксимации функций.  
   **Ссылка на книгу:** [https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4117694](https://lib.herzen.spb.ru/m/catalog?simple=2&doc_id=4117694)